[
{
    blockid=sys;
    help=service_pop_sys_sys;
    custom="com.netscape.management.msgserv.ServiceIMAPServiceControl";
    localvar={
	/* translate this block */
	.header.text="Systemkonfiguration";
	.enabled.text="POP-Dienst an Port aktivieren";
	.enabledssl.text="POP-Dienst over SSL aktivieren";
	.port.text="Port:";
	.plaintext.text="Passwort-Anmeldung zulassen";
	.mincipher.text="Mindest-Verschl\u00fcsselungsl\u00e4nge f\u00fcr Passwortverschl\u00fcsselung";
	.session.text="Maximale Netzwerkverbindungen pro Vorgang:";
	.thread.text="Maximale Anzahl der Threads pro Vorgang:";
	.slave.text="Anzahl der Vorg\u00e4nge:";
	.drop.text="Client-Verbindung unterbrechen nach Inaktivit\u00e4t f\u00fcr:";
	.banner.text="Banner f\u00fcr POP-Dienst:";
	.idle.labels=["Minute(n)","Stunde(n)"];
	.connection.border=[titled,"Verbindungseinstellungen"];
	.process.border=[titled,"Einstellungen verarbeiten"];
    };
    content=[
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=rigid;
		},
		{
		    ctrl=togglepane;
		    id=portlabel;
		    layout=[ybox];
		    text=$.enabled.text;
		    val=$enable.value;
		    inline=true;
		    content=[
			{
			    ctrl=rigid;
			},
			{
			    ctrl=number;
			    val=$port.value;
			    aligny=0.5;
			    label=portlabel;
			},
			{
			    ctrl=hglue;
			}
		    ]
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
            content=[
                {
                    ctrl=rigid;
                },
                {
                    ctrl=togglepane;
                    id=sslportlabel;
                    text=$.enabledssl.text;
                    val=$enablesslport.value;
                    inline=true;
                    content=[
                        {
                            ctrl=rigid;
                        },
                        {
                            ctrl=number;
                            val=$sslport.value;
                            label=sslportlabel;
                            max=65535;
                        },
                        {
                            ctrl=hglue;
                        }
                    ]
                }
            ]
        },
        {
            ctrl=vstrut;
        },

/*
	{
	    ctrl=togglepane;
	    text=$.plaintext.text;
	    id=plaintexttoggle;
	    content=[
		{
		    ctrl=pane;
		    content=[
			{
			    ctrl=label;
			    id=mincipherlabel;
			    text=$.mincipher.text;
			    wrap=$g.label.size2;
			},
			{
			    ctrl=rigid;
			},
			{
			    ctrl=choice;
			    id=mincipher;
			    label=mincipherlabel;
			    items=[0,40,128];
			    val=$plaintextmincipher.value;
			},
			{
			    ctrl=hglue;
			}
		    ]
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
*/
        {
            ctrl=togglepane;
            text=$.plaintext.text;
            id=plaintexttoggle;
            content=[
                {
                    ctrl=pane;
                    content=[
                        {
                            ctrl=label;
                            id=mincipherlabel;
                            text=$.mincipher.text;
                            wrap=$g.label.size2;
                        },
                        {
                            ctrl=rigid;
                        },
                        {
                            ctrl=choice;
                            id=mincipher;
                            label=mincipherlabel;
                            items=[0,40,56,128];
                            val=$plaintextmincipher.value;
                        },
                        {
                            ctrl=hglue;
                        }
                    ]
                }
            ]
        },
        {
            ctrl=vstrut;
        },
	{
	    ctrl=pane;
	    layout=[ybox];
	    border=$.connection.border;
	    content=[
		{
		    ctrl=pane;
		    content=[
			{
			    ctrl=label;
			    id=sessionlabel;
			    text=$.session.text;
			    wrap=$g.label.size2;
			    aligny=0.5;
			},
			{
			    ctrl=rigid;
			},
			{
			    ctrl=number;
			    val=$maxsessions.value;
			    aligny=0.5;
			    label=sessionlabel;
			},
			{
			    ctrl=hglue;
			}
		    ]
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=pane;
		    content=[
			{
			    ctrl=label;
			    id=droplabel;
			    text=$.drop.text;
			    wrap=$g.label.size2;
			    aligny=0.5;
			},
			{
			    ctrl=rigid;
			},
			{
			    ctrl=number;
			    val=$idletimeout.value;
			    aligny=0.5;
			    label=droplabel;
			    unit=min;
			    items=[min,hr];
			    labels=$.idle.labels;
			    min=10;
			},
			{
			    ctrl=hglue;
			}
		    ]
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    layout=[ybox];
	    border=$.process.border;
	    content=[
		{
		    ctrl=pane;
		    content=[
			{
			    ctrl=label;
			    id=threadlabel;
			    text=$.thread.text;
			    wrap=$g.label.size2;
			    aligny=0.5;
			},
			{
			    ctrl=rigid;
			},
			{
			    ctrl=number;
			    val=$maxthreads.value;
			    aligny=0.5;
			    label=threadlabel;
			},
			{
			    ctrl=hglue;
			}
		    ]
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=pane;
		    content=[
			{
			    ctrl=label;
			    id=slavelabel;
			    text=$.slave.text;
			    wrap=$g.label.size2;
			    aligny=0.5;
			},
			{
			    ctrl=rigid;
			},
			{
			    ctrl=number;
			    val=$numprocesses.value;
			    aligny=0.5;
			    label=slavelabel;
			},
			{
			    ctrl=hglue;
			}
		    ]
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    id=bannerlabel;
		    text=$.banner.text;
		    wrap=$g.label.size2;
		    aligny=0.5;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=text;
		    val=$banner.value;
		    aligny=0.5;
		    label=bannerlabel;
		}
	    ]
	}
    ]
}
]
